com.holonplatform.vaadin.flow.components

## Interface BeanListing<T>

- Type Parameters:
    `T` - Bean type
  All Superinterfaces:
    HasComponent, com.vaadin.flow.component.HasElement, ItemListing<T,String>, ItemSet, Selectable<T>, Serializable

      public interface BeanListing<T>
      extends ItemListing<T,String>

  An `ItemListing` component using a bean type as item type and the bean property names as property set.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.ItemListing

      `ItemListing.EditorCancelListener<T,P>, ItemListing.EditorCloseListener<T,P>, ItemListing.EditorComponentGroup<P,T>, ItemListing.EditorOpenListener<T,P>, ItemListing.EditorSaveListener<T,P>, ItemListing.ItemEditorEvent<T,P>, ItemListing.ItemListingCell, ItemListing.ItemListingRow<P>, ItemListing.ItemListingSection<P,R extends ItemListing.ItemListingRow<P>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.Selectable

      `Selectable.SelectionEvent<T>, Selectable.SelectionListener<T>, Selectable.SelectionMode`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> BeanListingBuilder<T>` | `builder(Class<T> beanType)` Get a `BeanListingBuilder` to create and setup a `BeanListing` using given `beanType`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ItemListing

      `addAdditionalItem, cancelEditing, editItem, getAdditionalItems, getColumnHeader, getColumnSorts, getDataProvider, getFooter, getHeader, getVisibleColumns, isEditable, isEditing, isFrozen, isItemDetailsVisible, refreshEditingItem, refreshItem, removeAdditionalItem, removeAdditionalItems, saveEditingItem, setColumnVisible, setFrozen, setItemDetailsVisible, setSelectionMode, sort, sort`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ItemSet

      `refresh`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.Selectable

      `addSelectionListener, deselect, deselectAll, getFirstSelectedItem, getSelectedItems, getSelectionMode, isSelected, select`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.HasComponent

      `create, getComponent, getElement, hasEnabled, hasLabel, hasSize, hasStyle, hasValidation, isVisible, setVisible`

- - ### Method Detail

    - #### builder

          static <T> BeanListingBuilder<T> builder(Class<T> beanType)

      Get a `BeanListingBuilder` to create and setup a `BeanListing` using given `beanType`.
      Type Parameters:
        `T` - Bean type
      Parameters:
        `beanType` - The bean class to use (not null)
      Returns:
        A new `BeanListingBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.